/* CURSOR PROYECTOS */

#carrusel-home {
    pointer-events: auto !important;
}

#follow-circle {
    position: absolute;
    width: fit-content;
    height: 150px;
    color: white;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 44px;
    font-weight: 300;
    pointer-events: none;
    text-transform: uppercase;
    transition: transform 0.4s ease-out;
    transform: scale(0); 
    z-index: 222;
}

#follow-circle span {
    text-align: center;
    padding: 10px;
    text-wrap: nowrap;

}

.scale-zero {
    transform: scale(0) !important;
}
.scale-one {
    transform: scale(1) !important;
}

/* CARRUSEL HOME */


#carrusel-home {
  height: 93vh; 
  overflow: hidden; 
  position: relative;

  .elementor-swiper-button {
    transform: scale(1);
    transition: all 0.4s ease-in;

    &:hover {
      transform: scale(1.125);
    }
  }
}

.elementor-image-carousel .swiper-wrapper {
  display: flex; 
  overflow-x: auto; 
  scroll-snap-type: x mandatory; 
  scroll-behavior: smooth;
}

.elementor-image-carousel .swiper-slide {
  flex: 0 0 auto;
  height: 92vh;
  width: auto !important; 
  margin-right: 5px;
  scroll-snap-align: start;
}

.elementor-image-carousel .swiper-slide img {
  height: 96%; 
  object-fit: cover;
}

.elementor-element .swiper .swiper-slide figure, .elementor-lightbox .swiper .swiper-slide figure {
  line-height: 0;
  height: 100% !important;
  display: flex;
  justify-content: center;
  align-items: flex-start;
}

.elementor-element .swiper .swiper-slide figure {
  flex-direction: column;
}

figcaption.elementor-image-carousel-caption {
    padding-top: 10px;
}

@media screen and (min-width: 768px) and (max-width: 1366px) {
  .elementor-element .swiper .elementor-swiper-button svg {
        height: 0.8em !important;
        width: 0.8em !important;
    }

    #follow-circle {
        font-size: 28px;
    }
}

@media (max-width: 767px) {
    .elementor-image-carousel .swiper-slide {
        width: 100vw !important;
        margin-right: 0px !important;
    }

    .elementor-element .swiper .elementor-swiper-button svg {
        height: 0.4em !important;
        width: 0.4em !important;
    }

    .elementor-image-carousel .swiper-slide {
        height: 80vh;
    }

    #carrusel-home {
        height: 83vh !important;
    }

    figcaption.elementor-image-carousel-caption {
        font-size: 16px;
        padding-inline: 20px;
    }
}

.cls-1 {
    stroke-width: 8px !important;
}

